QGIS Application - Bug report #11921
Legend initially displayed wrong size
2014-12-29 05:17 AM - Harry Clarke

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.6.1
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 20130

Description

When opening Print Composer with a map that has the Legend with item units specified in Map Units, the Legend is incorrectly displayed

very large.
A workaround is to perform the following operations

Refresh - this results in the Legend been displayed the correct size. However, the map is very small

Zoom to Full Size - this resizes the map to readable size, but a very low resolution

Refresh - this results in the map been displayed correctly.

To reproduce, Open a new Project in QGIS Browser, and then Open Print Composer.

If Print Composer is closed and then re-opened without changing the Project, the map is displayed correctly.

Associated revisions

Revision 93f2eec7 - 2016-07-13 09:35 AM - Nyall Dawson

[composer] Fix initial size of legend is wrong if symbol size in
map units is used (fix #11921)

On behalf of Faunalia, sponsored by ENEL

Revision c081ceb8 - 2016-07-19 07:10 AM - Nyall Dawson

[composer] Fix initial size of legend is wrong if symbol size in

map units is used (fix #11921)

On behalf of Faunalia, sponsored by ENEL

(cherry-picked from 93f2eec711f2d3e1593f497db581a7e6973cfcc9)

Revision 15d875ea - 2016-07-19 09:23 AM - Nyall Dawson

][composer] Fix initial size of legend is wrong if symbol size in
map units is used (fix #11921)

On behalf of Faunalia, sponsored by ENEL

(cherry-picked from 93f2eec711f2d3e1593f497db581a7e6973cfcc9)
Revision 98a7fc13 - 2016-07-19 11:36 PM - Nyall Dawson

]J[composer] Fix initial size of legend is wrong if symbol size in
map units is used (fix #11921)

On behalf of Faunalia, sponsored by ENEL

(cherry-picked from 93f2eec711f2d3e1593f497db581a7e6973cfcc9)

History

#1 - 2016-07-13 12:36 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"93f2eec711f2d3e1593f497db581a7e6973cfcc9".
